Subject: Re: [E1000-devel] e1000: ethtool -p + cable pull = system wedges hard

From: Auke Kok <[email-masked]>
Date: Tue, 15 Aug 2006 20:01:41 -0700

Auke Kok wrote:
> Jay Vosburgh wrote:
>> 	Running both 2.6.17.6 plus the e1000 7.2.7 from sourceforge, or
>> the e1000 in netdev-2.6#upstream (7.1.9-k4).
>>
>> 	Starting up "ethtool -p ethX" then unplugging the cable
>> connected to the identified port is causing my system to completely
>> freeze; even sysrq is unresponsive.  I'm running on a 2-way x86 box,
>> with an 82545GM.
>>
>> 	Is this by any chance a known problem?
> 
> not at all.

One of my brain halves (the third one ;)) poked me and told me that it *is* a 
known issue. Not good. Apparently as early as kernel 2.5.50 a change was 
introduced that causes this. I am unsure what exactly caused it and I assume it 
is generic (other nic's might also suffer). The issue is documented in our 
standalone driver documentation. Not sure what to do with this.

Auke